"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHasOneDirectiveTransformer = void 0;
const has_one_directive_ddb_fields_transformer_1 = require("./has-one-directive-ddb-fields-transformer");
const has_one_directive_sql_transformer_1 = require("./has-one-directive-sql-transformer");
const getHasOneDirectiveTransformer = (dbType) => {
    switch (dbType) {
        case 'MYSQL':
        case 'POSTGRES':
            return new has_one_directive_sql_transformer_1.HasOneDirectiveSQLTransformer(dbType);
        case 'DYNAMODB':
            return new has_one_directive_ddb_fields_transformer_1.HasOneDirectiveDDBFieldsTransformer(dbType);
    }
};
exports.getHasOneDirectiveTransformer = getHasOneDirectiveTransformer;
//# sourceMappingURL=has-one-directive-transformer-factory.js.map